Bug 1399629 - left button not working in krdc and xfreerdp after middle button remapping
Summary: left button not working in krdc and xfreerdp after middle button remapping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freerdp
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 13:10 UTC by Daniel
Modified: 2018-08-23 13:59 UTC (History)
9 users (show)

Fixed In Version: freerdp-2.0.0-44.rc3.fc27 freerdp-2.0.0-44.rc3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-23 09:45:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel 2016-11-29 13:10:24 UTC
Description of problem:

In KDE, after remmaping touchpad middle button to be same as left button, left button no longer works in freerdp client (new sesssions) and also no long works in krdc client (new sessions). In remmina client it works ok.

This was working ok in Fedora24, only started missbehave in Fedora25.


Version-Release number of selected component (if applicable):
krdc-16.08.2-1.fc25.x86_64
freerdp-2.0.0-12.20160909git1855e36.fc25.x86_64


How reproducible:

Remap touchpad middle button to be same as left button. Now left buttons no longer works in new remote desktop session (client xfreerdp or krdc). In existing remote desktop session, it still works as expected.

Steps to Reproduce:
1. Remap middle button to be same as left button
$ xinput get-button-map "SynPS/2 Synaptics TouchPad"
1 2 3 4 5 6 7 
$ xinput set-button-map "SynPS/2 Synaptics TouchPad" 1 1 3 4 5 6 7
$ xinput get-button-map "SynPS/2 Synaptics TouchPad"              
1 1 3 4 5 6 7 

2. Run new remote desktop session to windows 2012 server
xfreerdp /u:username /p:password /v:IPADDR

Actual results:
Left button no longer works in RDP session.

Expected results:
Left button should work, as in Fedora24.


Additional info:
Reason for middle button remapping to be same as left button is that on touchpad its easy to trigger middle button and there is no reason to have it, as there is middle button on trackpad (notebook Lenovo T460)

Workaround:

Make a skript

$ xinput set-button-map "SynPS/2 Synaptics TouchPad" 1 2 3 4 5 6 7
$ xfreerdp /u:username /p:password /v:IPADDR &
$ xinput set-button-map "SynPS/2 Synaptics TouchPad" 1 1 3 4 5 6 7

Comment 1 Fedora End Of Life 2017-11-16 19:36:33 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Daniel 2017-11-16 23:18:38 UTC
same situation in fedora 26 (fully patched)

Comment 3 Fedora End Of Life 2018-05-03 08:15:56 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Daniel 2018-05-04 08:36:29 UTC
same situation in fedora 27 (fully patched)

Comment 5 Rex Dieter 2018-05-04 11:55:20 UTC
triaging to freerdp (since xfreerpd is affected too)

Comment 6 Fedora Update System 2018-08-20 14:40:40 UTC
remmina-1.2.31.3-1.fc27 freerdp-2.0.0-44.rc3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 7 Fedora Update System 2018-08-20 14:41:34 UTC
remmina-1.2.31.3-1.fc28 freerdp-2.0.0-44.rc3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 8 Fedora Update System 2018-08-22 00:33:24 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 9 Fedora Update System 2018-08-22 03:12:50 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 10 Fedora Update System 2018-08-23 09:45:42 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-08-23 10:33:34 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Daniel 2018-08-23 13:59:51 UTC
Bug is still present on fully upgraded fedora 28 

freerdp-2.0.0-44.rc3.fc28.x86_64
freerdp-libs-2.0.0-44.rc3.fc28.x86_64

please reopen


Note You need to log in before you can comment on or make changes to this bug.